Beyond a `requirements.txt`, this folder contains the following files:

Data files:
- smectic.xyz: an ase-type xyz file containing 500 configurations of ellipsoids in various smectic phases. This file was generated by the `make_smectic` code in `frame_generation_utils.py`.
- nematic.xyz: an ase-type xyz file containing 500 configurations of ellipsoids in various nematic phases. This file was generated by the `make_nematic` code in `frame_generation_utils.py`.

Scripts:
- frame_generation_utils.py: code to generate arbitrary nematic and smectic phases
- make_figures.py: This code reads `smectic.xyz` and `nematic.xyz` and generates the corresponding Steinhardt order parameters, orientational order parameters, and AniSOAP vectors for each configuration using the hyperparameters described in the top of the file. Then, it constructs a PCA similar to that in the corresponding manuscript, and computes the global feature reconstruction error (GFRE) for each different representation. Finally, it outputs a chemiscope visualization file containing these mappings. 
- make_si_figures.py: This code follows a similar procedure to `make_figures.py`, but by constructing a dataset of multiple ellipsoid dimensions.
